package de.gc.db.jdbi.simple;

import org.jdbi.v3.core.Handle;
import org.jdbi.v3.core.Jdbi;

public class T01_create {

   public static void main(final String[] args) {

      final Jdbi jdbi = Jdbi.create("jdbc:mariadb://localhost:3306/bsp", "bsp", "");
      System.out.println("Connect bsp ...");

      final Handle handle = jdbi.open();

      handle.execute("DROP TABLE IF EXISTS mitarbeiter");

      handle.execute("""
            CREATE OR REPLACE TABLE mitarbeiter (
              id      INT         PRIMARY KEY AUTO_INCREMENT,
              name    VARCHAR(50),
              vorname VARCHAR(50),
              gebdat  DATE,
              strasse VARCHAR(50)
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8;
                              """);
      handle.execute("INSERT INTO mitarbeiter (name,vorname) VALUES ('Kobold', 'Pumukel')");
      handle.execute("INSERT INTO mitarbeiter (name,vorname) VALUES ('Müller', 'Max')");
      handle.execute("INSERT INTO mitarbeiter (name,vorname) VALUES ('Meier', 'Uschi')");
      handle.execute("INSERT INTO mitarbeiter (name,vorname) VALUES ('Schlau', 'Susi')");

      System.out.println("Tabelle 'mitarbeiter' erstellt.");
   }
}
