package de.gc.db.jdbi.simple;

import java.util.List;
import java.util.Map;

import org.jdbi.v3.core.Handle;
import org.jdbi.v3.core.Jdbi;

public class T05_delete {

   public static void main(final String[] args) {

      final Jdbi jdbi = Jdbi.create("jdbc:mariadb://localhost:3306/bsp", "bsp", "");
      System.out.println("Connect bsp ...");

      final Handle handle = jdbi.open();

      final int result = handle.execute("""
            DELETE FROM mitarbeiter WHERE name='Huber'
            """);

      System.out.println("Datensätze geändert: " + result);

      final List<Map<String, Object>> results = handle.createQuery("SELECT * FROM mitarbeiter")
            .mapToMap()
            .list();

      System.out.println("######################");
      results.stream()
            .forEach(e -> System.out.println(e));
   }
}
