package de.gc.db.jdbi.simple;

import java.util.List;
import java.util.Map;

import org.jdbi.v3.core.Handle;
import org.jdbi.v3.core.Jdbi;

public class T02_select {

   public static void main(final String[] args) {

      final Jdbi jdbi = Jdbi.create("jdbc:mariadb://localhost:3306/bsp", "bsp", "");
      System.out.println("Connect bsp ...");

      final Handle handle = jdbi.open();

      final List<Map<String, Object>> results = handle
            .createQuery("SELECT * FROM mitarbeiter")
            .mapToMap()
            .list();

      System.out.println("######################");
      results.stream().forEach(e -> System.out.println(e));
   }
}
